No indicator support for tomboy with the quicklist on unity

Bug #641256 reported by Didier Roche on 2010-09-17
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Didier Roche
gnome-session (Ubuntu)
Medium
Canonical Desktop Experience Team
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity

Dividing bug #617339 (you can have a look at dups there too)

I can't get indicator support (note of tomboy list) with tomboy in the quicklist when clicking right.
Still confirmed on unity 0.2.40.

Didier Roche (didrocks) on 2010-09-17
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
milestone: none → 2010-09-22
Changed in unity (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
milestone: none → ubuntu-10.10
David Barth (dbarth) wrote :

gord: it may require some bamf switch to be flipped to restore that (the "approver")

Changed in unity:
assignee: nobody → Gord Allott (gordallott)
Jason Smith (jassmith) wrote :

I have confirmed that bamf is exporting the tomboy indicator over dbus and to the client library.

Gord Allott (gordallott) wrote :

Hi,

Could you check that bamf is exporting an indicator source?
open up d-feet navigate to org.ayatana.bamf and make sure there is an indicator source object there. also if there is one please open it up find the path method and execute it, pasting the output here

thanks

Gord Allott (gordallott) wrote :

Seems like the cause of this is a version of bamf in the repos being too old, it needs to be updated. so marking as invalid

Changed in unity:
status: Triaged → Invalid
Didier Roche (didrocks) wrote :

Not the case, if I file a bug on last release, it's because I'm testing it ;)

So:
didrocks@tidus:~$ apt-cache policy libbamf0
libbamf0:
  Installé : 0.2.52-0ubuntu1
  Candidat : 0.2.52-0ubuntu1
 Table de version :
 *** 0.2.52-0ubuntu1 0
        100 /var/lib/dpkg/status

didrocks@tidus:~$ apt-cache policy bamfdaemon
bamfdaemon:
  Installé : 0.2.52-0ubuntu1
  Candidat : 0.2.52-0ubuntu1
 Table de version :
 *** 0.2.52-0ubuntu1 0

and nothing more in bamf trunk.

Changed in unity:
status: Invalid → Triaged
Gord Allott (gordallott) wrote :

Should be noted that you are looking for an /org/ayatana/bamf/indicatorxxxx source

Didier Roche (didrocks) wrote :

ok, after debugging more with these guys, tomboy when starting with the applet in gnome-panel, doesn't have indicator support.

So, if we want to kill gnome-panel at startup (to fix bug #578585), we will have to kill tomboy too to get it reliably with the indicator support.

Changed in unity:
assignee: Gord Allott (gordallott) → Didier Roche (didrocks)
Didier Roche (didrocks) wrote :

will be fixed by gnome-session not loading the panel

affects: unity (Ubuntu) → gnome-session (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 2.31.6-0ubuntu2

---------------
gnome-session (2.31.6-0ubuntu2) maverick; urgency=low

  * debian/patches/24_filter_autosaved_application_for_une.patch:
    don't start gnome-panel, metacity/compiz from saved session in UNE.
    This is a current workaround to LP: #578585. A correct fix
    will be to integrate a migration path, excluding all
    required_components from the saved list before starting them.
    It fixes (LP: #620427, #641256) as the applets aren't loaded.
 -- Didier Roche <email address hidden> Tue, 21 Sep 2010 15:38:47 +0200

Changed in gnome-session (Ubuntu):
status: Triaged → Fix Released
Didier Roche (didrocks) on 2010-09-22
Changed in unity:
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers